package com.ruoyi.device.mqtt.domain.encoder;

import com.ruoyi.device.mqtt.domain.BaseJsonBody;

import java.util.Set;

/**
 * TSB 登录应答
 *
 * @author lwm。
 */
public class DeviceLoginResponse extends BaseJsonBody
{
    /** 用户名 */
    private String userName;

    /** 手机号 */
    private String phoneNumber;

    /** 用户昵称 */
    private String nickName;

    /** 用户角色名称 */
    private String roleName;

    /** 菜单权限列表 */
    private Set<String> permissions;

    public DeviceLoginResponse()
    {
        super();
    }

    public String getUserName()
    {
        return userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getPhoneNumber()
    {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber)
    {
        this.phoneNumber = phoneNumber;
    }

    public String getNickName()
    {
        return nickName;
    }

    public void setNickName(String nickName)
    {
        this.nickName = nickName;
    }

    public String getRoleName()
    {
        return roleName;
    }

    public void setRoleName(String roleName)
    {
        this.roleName = roleName;
    }

    public Set<String> getPermissions()
    {
        return permissions;
    }

    public void setPermissions(Set<String> permissions)
    {
        this.permissions = permissions;
    }
}
